## ciopfs 0.2

=== Makefile ===
include config.mk

SRC += ciopfs.c
OBJ = ${SRC:.c=.o}

all: clean options ciopfs

options:
	@echo ciopfs build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.mk

ciopfs: ${OBJ}
	@echo CC -o $@
	@${CC} -o $@ ${OBJ} ${LDFLAGS}

debug: clean
	@make CFLAGS='${DEBUG_CFLAGS}'

ascii: clean
	@make CFLAGS_UNICODE='' LDFLAGS_UNICODE=''

unicode-glib: clean
	@make CFLAGS_UNICODE='${CFLAGS_GLIB}' LDFLAGS_UNICODE='${LDFLAGS_GLIB}'

unicode-icu: clean
	@make CFLAGS_UNICODE='${CFLAGS_ICU}' LDFLAGS_UNICODE='${LDFLAGS_ICU}'

clean:
	@echo cleaning
	@rm -f ciopfs ${OBJ} ciopfs-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p ciopfs-${VERSION}
	@cp -R Makefile config.mk ciopfs.c ascii.c unicode-icu.c unicode-glib.c ciopfs-${VERSION}
	@tar -cf ciopfs-${VERSION}.tar ciopfs-${VERSION}
	@gzip ciopfs-${VERSION}.tar
	@rm -rf ciopfs-${VERSION}

install: ciopfs
	@echo stripping executable
	@strip -s ciopfs
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f ciopfs ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/ciopfs
	@echo creating symlink ${DESTDIR}${PREFIX}/bin/mount.ciopfs
	@ln -sf ${DESTDIR}${PREFIX}/bin/ciopfs /sbin/mount.ciopfs
#	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
#	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
#	@sed "s/VERSION/${VERSION}/g" < ciopfs.1 > ${DESTDIR}${MANPREFIX}/man1/ciopfs.1
#	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/ciopfs.1

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/ciopfs
	@echo removing symlink from /sbin/mount.ciopfs
	@rm -f /sbin/mount.ciopfs
#	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
#	@rm -f ${DESTDIR}${MANPREFIX}/man1/ciopfs.1

.PHONY: all options clean dist install uninstall debug ascii unicode-glib unicode-icu

## ciopfs 0.3

=== debian/changelog ===
ciopfs (0.3-0ubuntu1) natty; urgency=low

  * New upstream release
  * Drop patch as its integrated upstream
  * Drop quilt build-depend and switch to 3.0 source format
  * Bump up standards to 3.9.1 No other changes

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 24 Nov 2010 13:07:14 +0530

ciopfs (0.2-0ubuntu4) lucid; urgency=low

  * debian/control: remove libglib1.2-dev from build deps to fix FTBFS
    (LP: #538653)

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 14 Mar 2010 09:47:36 +0100

ciopfs (0.2-0ubuntu3) karmic; urgency=low

  * debian/patches: fix absolute symlink (LP: #414777)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 18 Aug 2009 00:44:14 -0700

ciopfs (0.2-0ubuntu2) karmic; urgency=low

  * debian/control: add libglib2.0-dev to build deps

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 11 Aug 2009 21:32:14 -0700

ciopfs (0.2-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #411384)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 10 Aug 2009 04:49:26 -0700

=== debian/control ===
Source: ciopfs
Section: utils
Priority: extra
XSBC-Original-Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Scott Ritchie <scottritchie@ubuntu.com>
Build-Depends: debhelper (>= 7), libfuse-dev, libattr1-dev, libglib2.0-dev
Standards-Version: 3.9.1
Homepage: http://brain-dump.org/projects/ciopfs/

Package: ciopfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FUSE case insensitive on purpose file system
 ciopfs is a stackable or overlay linux userspace file system (implemented with
 FUSE) which mounts a normal directory on a regular file system in a case
 insensitive fashion.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/ciopfs.
	$(MAKE) DESTDIR=$(CURDIR)/debian/ciopfs PREFIX=/usr install 


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ciopfs 0.4

=== Makefile ===
--- 
+++ 
@@ -52,8 +52,9 @@
 	@mkdir -p ${DESTDIR}${PREFIX}/bin
 	@cp -f ciopfs ${DESTDIR}${PREFIX}/bin
 	@chmod 755 ${DESTDIR}${PREFIX}/bin/ciopfs
-	@echo creating symlink ${DESTDIR}${PREFIX}/bin/mount.ciopfs
-	@ln -sf ${DESTDIR}${PREFIX}/bin/ciopfs /sbin/mount.ciopfs
+	@echo creating symlink ${DESTDIR}/sbin/mount.ciopfs
+	@mkdir -p ${DESTDIR}/sbin
+	@ln -sf ${PREFIX}/bin/ciopfs ${DESTDIR}/sbin/mount.ciopfs
 #	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
 #	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
 #	@sed "s/VERSION/${VERSION}/g" < ciopfs.1 > ${DESTDIR}${MANPREFIX}/man1/ciopfs.1
@@ -62,8 +63,8 @@
 uninstall:
 	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
 	@rm -f ${DESTDIR}${PREFIX}/bin/ciopfs
-	@echo removing symlink from /sbin/mount.ciopfs
-	@rm -f /sbin/mount.ciopfs
+	@echo removing symlink from ${DESTDIR}/sbin/mount.ciopfs
+	@rm -f ${DESTDIR}/sbin/mount.ciopfs
 #	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
 #	@rm -f ${DESTDIR}${MANPREFIX}/man1/ciopfs.1

=== debian/changelog ===
ciopfs (0.4-0ubuntu1) precise; urgency=low

  * New upstream version.
  * Bump standards to 3.9.2. No other changes.
  * Clean debian-rules-missing-recommended-target lintian warning.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 28 Nov 2011 00:22:05 +0530

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Uploaders: Scott Ritchie <scottritchie@ubuntu.com>
 Build-Depends: debhelper (>= 7), libfuse-dev, libattr1-dev, libglib2.0-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://brain-dump.org/projects/ciopfs/
 
 Package: ciopfs

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
http://brain-dump.org/projects/ciopfs/ ciopfs-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/ciopfs-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/ciopfs-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/ciopfs/ciopfs-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html ciopfs-(.*)\.tar\.gz
